package com.vseravno.solna.handler;

import com.vseravno.solna.adapter.Adapter;

import javax.annotation.Nonnull;
import javax.annotation.concurrent.Immutable;

@Immutable
public class CompiledHandler {
    private final String elementPath;

    private final Adapter adapter;

    private final MethodPointer methodPointer;

    public CompiledHandler(@Nonnull String elementPath, @Nonnull Adapter adapter, @Nonnull MethodPointer methodPointer) {
        this.elementPath = elementPath;
        this.adapter = adapter;
        this.methodPointer = methodPointer;
    }

    @Nonnull
    public String getElementPath() {
        return elementPath;
    }

    @Nonnull
    public Adapter getAdapter() {
        return adapter;
    }

    @Nonnull
    public MethodPointer getMethodPointer() {
        return methodPointer;
    }
}
